const express = require('express');
const router = express.Router();

// Importă conexiunea la baza de date
const pool = require('../db'); 

// Importă middleware-ul de autentificare
const authenticateToken = require('../middleware/auth');

router.get('/', async (req, res) => {
    try {
        const [results] = await pool.promise().query('SELECT id_tva, nume_cota, valoare_tva, id_cota FROM cote_tva');
        res.json(results);
    } catch (err) {
        console.error('Error fetching VAT rates:', err);
        res.status(500).send('Internal Server Error');
    }
});
router.get('/cota-0', async (req, res) => {
    try {
        const [results] = await pool.promise().query('SELECT id_tva, valoare_tva, id_cota FROM cote_tva WHERE valoare_tva= 0');
        res.json(results);
    } catch (err) {
        console.error('Error fetching VAT rates:', err);
        res.status(500).send('Internal Server Error');
    }
});
// Endpoint PUT care folosește id_tva pentru identificare
router.put('/:id_tva', async (req, res) => {
    const { id_tva } = req.params;
    const { id_cota } = req.body;

    try {
        await pool.promise().query(
            'UPDATE cote_tva SET id_cota = ? WHERE id_tva = ?',
            [id_cota, id_tva]
        );
        res.sendStatus(200);
    } catch (err) {
        console.error('Eroare la actualizarea id_cota:', err);
        res.status(500).send('Eroare interna server');
    }
});
router.get('/mod-incasare', async (req, res) => {
    try {
        const [results] = await pool.promise().query('SELECT id_mod, nume_incasare,  id_incasare FROM mod_incasare');
        res.json(results);
    } catch (err) {
        console.error('Error fetching mod_incasare:', err);
        res.status(500).send('Internal Server Error');
    }
});
// PUT /mod-incasare/:id_mod
router.put('/mod-incasare/:id_mod', async (req, res) => {
  const { id_mod } = req.params;
  const { id_incasare } = req.body;

  try {
    await pool.promise().query(
      'UPDATE mod_incasare SET id_incasare = ? WHERE id_mod = ?',
      [id_incasare, id_mod]
    );
    res.sendStatus(200);
  } catch (err) {
    console.error('Eroare la actualizarea id_incasare:', err);
    res.status(500).send('Eroare interna server');
  }
});


module.exports = router;
